<?php

namespace Boekuwzending\WooCommerce\Helper;

use WC_Order;

/**
 * Class Data
 */
class Data
{
    /**
     * @var Api
     */
    protected $apiHelper;

    /**
     * @param Api $apiHelper
     */
    public function __construct(Api $apiHelper)
    {
        $this->apiHelper = $apiHelper;
    }

    /**
     * Get WooCommerce order
     *
     * @param int $order_id Order ID
     * @return WC_Order|bool
     */
    public function getWcOrder($order_id)
    {
        return wc_get_order($order_id);
    }

    /**
     * @param $order_id
     * @return array|mixed|string
     */
    public function getBoekuwzendingData($order_id)
    {
        return get_post_meta($order_id, '_boekuwzending_data', true);
    }

    /**
     * @param $order_id
     * @return array|mixed|string
     */
    public function getBoekuwzendingStatus($order_id)
    {
        return get_post_meta($order_id, '_boekuwzending_status', true);
    }

    /**
     * @param $order_id
     * @return array|mixed|string
     */
    public function getBoekuwzendingShipments($order_id)
    {
        $order = wc_get_order($order_id);

        return $order->get_meta('_boekuwzending_shipments');
    }
}